Bug 218870 - x11-wm/lxsession: no shutdown and reboot buttons
Summary: x11-wm/lxsession: no shutdown and reboot buttons
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Koop Mast
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-25 09:52 UTC by mikael.urankar
Modified: 2017-10-18 11:23 UTC (History)
3 users (show)

See Also:


Attachments
patch (10.10 KB, patch)
2017-04-25 09:52 UTC, mikael.urankar
no flags Details | Diff
use consolekit2 (655 bytes, patch)
2017-08-05 15:39 UTC, mikael.urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mikael.urankar 2017-04-25 09:52:34 UTC
Created attachment 182076 [details]
patch

Hi,

Seen on the forum:
https://forums.freebsd.org/threads/60599/

lxde has switched to a new Consolkit interface to suspend / hibernate [1] and it's not compatible with the consolekit version we have in ports (we need consolekit-1.0.x, see bug #202269).

The attached patch fixes the problem (it reverts [1])

[1] https://github.com/lxde/lxsession/commit/3cdba6bbd47199232fd530f76474ee0b0d94a55a
Comment 1 Olivier Duchateau 2017-05-13 15:18:11 UTC
(In reply to mikael.urankar from comment #0)

Instead to remove support of ConsoleKit2 (lots of desktops environment now support only this library in fallback mode without systemd). I think it's better to update Consolekit's version available in ports tree. An update is available in BugZilla.
Comment 2 Martin Wilke freebsd_committer 2017-05-13 18:09:54 UTC
(In reply to duchateau.olivier from comment #1)

I had a discussion with kwm already about that. Its not that simple but so we will go with the backport patches first.
Comment 3 Olivier Duchateau 2017-05-13 19:06:18 UTC
(In reply to Martin Wilke from comment #2)

Others BSD are already switched to ConsoleKit2.

xfce4-powermanager-plugin and xfce4-session >= 4.13 work better with it. LXQt can't be imported in ports tree because ConsoleKit 0.4.x lacks missing functions (especially reboot and shutdown). Plasma5 contains backend for ConsoleKit2.
Comment 4 Mathieu Arnold freebsd_committer 2017-07-06 13:52:37 UTC
Assignee timeout. Give back to the pool.
Comment 5 mikael.urankar 2017-08-05 15:31:14 UTC
Should be fixed with ports r447399 (bug #202269)
Comment 6 mikael.urankar 2017-08-05 15:39:39 UTC
Created attachment 185046 [details]
use consolekit2
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2017-08-06 06:12:33 UTC
Appears resolved by ports r447399 (was patch added in comment 6 only to show the changes?)

Assign to committer that resolved
Comment 8 mikael.urankar 2017-08-18 09:03:59 UTC
(In reply to Kubilay Kocak from comment #7)
The patch is needed to fix the issue.
Comment 9 mikael.urankar 2017-10-11 13:04:49 UTC
ping